Skip to content

Custom Field Budgets

This group of endpoints allows you to link custom fields to budgets, controlling which budgets have a custom field assigned.

List budgets linked to a custom field

Request

Returns a paginated list of budgets that have this custom field assigned.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
custom_field_idstring, (uuid)required

The ID of the custom field.

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6
Query
offsetinteger

Offset to retrieve items from.

Default:0
Example:offset=50
limitinteger, <= 500

Number of items per page.

Default:50
Example:limit=50
GET
/v1/businesses/{client_id}/custom-fields/{custom_field_id}/budgets
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/custom-fields/3fa85f64-5717-4562-b3fc-2c963f66afa6/budgets?offset=50&limit=50' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countinteger

Total number of budgets linked to this custom field.

Example:3
nextstring or null

Pagination cursor for the next page.

Example:"limit=50&offset=50"
previousstring or null

Pagination cursor for the previous page.

Example:null
resultsArray of objects(CustomFieldBudget)
Response
{ "count": 3, "next": "limit=50&offset=50", "previous": null, "results": [ {} ] }